CRMchat APIBeta
Telegram APIMessages

messages.deleteTopicHistory

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.deleteTopicHistory

Delete message history of a forum topic

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Delete message history of a forum topic

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.deleteTopicHistory" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "topMsgId": 0    }  }'
{  "result": {    "_": "messages.affectedHistory",    "pts": 0,    "ptsCount": 0,    "offset": 0  }}